MRWTextInternal::Paragraph::BorderFill Struct Reference

small structure to store border/fills properties in MRWText More...

## Public Member Functions

| BorderFill ()
| constructor More...
bool | isDefault () const
| return true if the properties are default properties More...
void | resetBackgroundColor ()
| reset the background color More...
bool | hasBackgroundColor () const
| return true if we have a not white background color More...
MWAWColor | getBackgroundColor (float percent) const
| returns the background color knowing the pattern percent More...
void | resetBorders ()
| reset the borders More...
bool | hasBorders () const
| return true if we have border More...
MWAWBorder | getBorder (int pos) const
| return a border corresponding to a pos More...

## Public Attributes

MWAWColor | m_foreColor
| the foreground color More...
MWAWColor | m_backColor
| the background color More...
int | m_patternId
| the pattern id More...
MWAWColor | m_borderColor
| the border color More...
int | m_borderTypes [4]
| the border type L T R B More...

## Friends

std::ostream & | operator<< (std::ostream &o, BorderFill const &fill)
| operator<< More...

## Detailed Description

small structure to store border/fills properties in MRWText

## Constructor & Destructor Documentation

MRWTextInternal::Paragraph::BorderFill::BorderFill | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWColor MRWTextInternal::Paragraph::BorderFill::getBackgroundColor | ( | float | percent | ) | const

inline

returns the background color knowing the pattern percent

Referenced by MRWTextInternal::Paragraph::update().

MWAWBorder MRWTextInternal::Paragraph::BorderFill::getBorder | ( | int | pos | ) | const

return a border corresponding to a pos

Referenced by MRWTextInternal::Paragraph::update().

bool MRWTextInternal::Paragraph::BorderFill::hasBackgroundColor | ( |  | ) | const

inline

return true if we have a not white background color

Referenced by isDefault(), MRWTextInternal::operator<<(), and MRWTextInternal::Paragraph::update().

bool MRWTextInternal::Paragraph::BorderFill::hasBorders | ( |  | ) | const

inline

return true if we have border

Referenced by isDefault(), MRWTextInternal::operator<<(), and MRWTextInternal::Paragraph::update().

bool MRWTextInternal::Paragraph::BorderFill::isDefault | ( |  | ) | const

inline

return true if the properties are default properties

Referenced by MRWTextInternal::operator<<().

void MRWTextInternal::Paragraph::BorderFill::resetBackgroundColor | ( |  | ) |

inline

reset the background color

Referenced by MRWText::readRulers().

void MRWTextInternal::Paragraph::BorderFill::resetBorders | ( |  | ) |

inline

reset the borders

Referenced by MRWText::readRulers().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Paragraph::BorderFill const & | fill
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWColor MRWTextInternal::Paragraph::BorderFill::m_backColor

the background color

Referenced by getBackgroundColor(), hasBackgroundColor(), MRWTextInternal::operator<<(), MRWText::readRulers(), and resetBackgroundColor().

MWAWColor MRWTextInternal::Paragraph::BorderFill::m_borderColor

the border color

Referenced by getBorder(), MRWTextInternal::operator<<(), and MRWText::readRulers().

int MRWTextInternal::Paragraph::BorderFill::m_borderTypes[4]

the border type L T R B

Referenced by BorderFill(), getBorder(), hasBorders(), MRWTextInternal::operator<<(), MRWText::readRulers(), resetBorders(), and MRWTextInternal::Paragraph::update().

MWAWColor MRWTextInternal::Paragraph::BorderFill::m_foreColor

the foreground color

Referenced by getBackgroundColor(), hasBackgroundColor(), MRWTextInternal::operator<<(), MRWText::readRulers(), and resetBackgroundColor().

int MRWTextInternal::Paragraph::BorderFill::m_patternId

the pattern id

Referenced by hasBackgroundColor(), MRWTextInternal::operator<<(), MRWText::readRulers(), resetBackgroundColor(), and MRWText::sendTable().

The documentation for this struct was generated from the following file:

- MRWText.cxx